﻿using System;

namespace Demo.Domain.Models
{
    public class User
    {
        public Guid Id { get; set; }
        public string FullName { get; set; } = string.Empty;
        public ClassGroup ClassGroup { get; set; } = new ClassGroup();
        public int ClassId { get; set; }

        public static explicit operator User(Data.LocalData.Entity.LocalUser v)
        {
            return new User
            {
                Id = Guid.NewGuid(),
                FullName = v.FIO,
                ClassGroup = v.ClassGroup,
                ClassId = v.GroupID
            };
        }
    }
}
