﻿using Demo.Domain.Models;

namespace Demo.UI
{
    public class UserConsole
    {
        private readonly Demo.Domain.Models.User user;

        public UserConsole(Demo.Data.LocalData.Entity.LocalUser entityUser) // Принимаем Entity User
        {
            // Преобразуем entityUser в Domain User
            this.user = (Demo.Domain.Models.User)entityUser;
        }

        public void DisplayUserInfo()
        {
            Console.WriteLine($"Имя: {user.FullName}, ID: {user.Id}");
        }
    }
}
