﻿using Demo.Data.LocalData.Entity;
using Demo.Domain.Models;
using System.Collections.Generic;

namespace Demo.Data.Repository
{
    public class GroupRepositoryImpl
    {
        private List<ClassGroup> groups;

        public GroupRepositoryImpl()
        {
            groups = new List<ClassGroup>();
        }

        public List<ClassGroup> GetAllGroups()
        {
            return groups;
        }

        public void AddGroup(ClassGroup group)
        {
            if (group == null) throw new ArgumentNullException(nameof(group));
            groups.Add(group);
        }
    }
}
